Bug Hunting Session
Bug 92648 - FILEOPEN / IMPORT specific DOCX (letter head) with various objects: line-picture (graphic) in footer too low
Summary: FILEOPEN / IMPORT specific DOCX (letter head) with various objects: line-pict...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.2 rc
Hardware: Other All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-09 08:47 UTC by Cor Nouws
Modified: 2016-10-25 19:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-07-09 08:47:21 UTC
See attachment https://bugs.documentfoundation.org/attachment.cgi?id=117142 of issue 92642

The blue line in the footer is a picture.
In 5.0.0.2 the height is too low.
Is is correct in 4.4.4.3
Comment 1 Michael Weghorn 2015-08-03 21:30:47 UTC
(bi)bisect result (using the "bibisect-50max" bibisect repository):

c21fc0c70e76c190e485a6a765e189a2f0e27006 is the first bad commit
commit c21fc0c70e76c190e485a6a765e189a2f0e27006
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 23:04:02 2015 +0800

    source-hash-a4dee94afed9ade6ac50237c8d99a6e49d3bebc1
    
    commit a4dee94afed9ade6ac50237c8d99a6e49d3bebc1
    Author:     László Németh <laszlo.nemeth@collabora.com>
    AuthorDate: Wed May 13 17:47:36 2015 +0200
    Commit:     László Németh <laszlo.nemeth@collabora.com>
    CommitDate: Wed May 13 18:10:45 2015 +0200
    
        tdf#91260: allow textboxes extending beyond the page bottom
    
        This commit fixes layout problems of DOCX import, but also
        now it's possible to move a textbox beyond the page bottom
        using the arrow keys (this worked only for page-anchored
        shapes in Writer).
    
        Change-Id: Ie83d3202a2248d948348656aa26df20982f9675b

:040000 040000 4c5922e07134b953a99657635da6ddfa647d5e68 4d6aaa4454f168acc4b75b6200efd64861c8efa6 M	opt

---

$ git bisect log
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# good: [40875247f0002056effdf6d2fbe43627691cd86c] source-hash-93f0b14458a618ad575cd446680e5c4aa7d87bdc
git bisect good 40875247f0002056effdf6d2fbe43627691cd86c
# skip: [61f66b1a251477193d796411ca95f50d606ead45] source-hash-3fd5f8919ec2256c70ff26c14cb9f8065c5cb2f1
git bisect skip 61f66b1a251477193d796411ca95f50d606ead45
# good: [e7374cd735af2344dae55be40946d96633d2f6ee] source-hash-8a91528a3e03fe6e2923c33327b687ecf57adb0b
git bisect good e7374cd735af2344dae55be40946d96633d2f6ee
# bad: [541837707e7b0c5f5335180de535043c43e78e8d] source-hash-0811de12ee6727bbb9d4265217833ba02301eed8
git bisect bad 541837707e7b0c5f5335180de535043c43e78e8d
# good: [2faf2a5126e3ccf78be3d6619b571358bb7af742] source-hash-2523972f6a066488c649ab97dcba4f458126f18b
git bisect good 2faf2a5126e3ccf78be3d6619b571358bb7af742
# good: [036709cec55938932b487542cdbace379c2651e2] source-hash-d8eee8e4d1a303044bf34b28c2e95bd6da23fd79
git bisect good 036709cec55938932b487542cdbace379c2651e2
# good: [1c13469c3e122da98a10fdf5df58a34a53980fc3] source-hash-02eff9d83734b99996b30cf65768f27bfc0e161b
git bisect good 1c13469c3e122da98a10fdf5df58a34a53980fc3
# good: [0117e1d734e216881e29e0fb5d7eef50ed84d554] source-hash-5db6da7c5d27c5b8be59fb9a4599d5c95d7f1bd7
git bisect good 0117e1d734e216881e29e0fb5d7eef50ed84d554
# good: [1a628f941bed58fcd10f8cbc076cefebb33690bd] source-hash-b1a9498a1415ca42e4d13f3e56daff0ebffc0ccf
git bisect good 1a628f941bed58fcd10f8cbc076cefebb33690bd
# good: [9fdcd68b3b9f7f927c9cd1135b6943ebbec4faf8] source-hash-2527a4d5a7cb1a7086129019a29dc063a3a28f63
git bisect good 9fdcd68b3b9f7f927c9cd1135b6943ebbec4faf8
# bad: [c21fc0c70e76c190e485a6a765e189a2f0e27006] source-hash-a4dee94afed9ade6ac50237c8d99a6e49d3bebc1
git bisect bad c21fc0c70e76c190e485a6a765e189a2f0e27006
# good: [14dead702d0e64559551b38001d273f96fa1cd3c] source-hash-de8afb9a2b461da4c81e45a7e185b553a5f4c3e7
git bisect good 14dead702d0e64559551b38001d273f96fa1cd3c
# good: [d3a0559de9451a09724a4af5c536377604bda18f] source-hash-02cc648dc068080d65b44ebd10d0940f6a097b8a
git bisect good d3a0559de9451a09724a4af5c536377604bda18f
# first bad commit: [c21fc0c70e76c190e485a6a765e189a2f0e27006] source-hash-a4dee94afed9ade6ac50237c8d99a6e49d3bebc1
Comment 2 Michael Weghorn 2015-08-03 21:33:29 UTC
@László: Could you possibly have a look at this? (I hope that one of the two email addresses is the right one and up-to-date.)
Comment 3 László Németh 2015-11-06 00:52:11 UTC
Thanks for reporting and bisecting the problem. It seems, the picture is imported as a complex object, a textbox with an image, and the image is anchored as a character.
Moving the textbox resizes the image for the requested size. I will fix or revert my patch.
Comment 4 Commit Notification 2015-11-06 18:34:37 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16331514fd10d444bec89f892a106cbbba9e16c0

tdf#92648 fix DOCX import regression (textbox shrinking in footers)

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-11-10 00:04:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41d90d6c7c41df781ecaf7745872f20abd7e52a9

tdf#92648 unit test for DOCX import regression (textbox shrinking)

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-10 07:34:47 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98ef16db0d228ebc0e7bad0290dcc9d3f1d6469b&h=libreoffice-5-0

tdf#92648 fix DOCX import regression (textbox shrinking in footers)

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 09:18:19 UTC Comment hidden (obsolete)